## ros-crystal-rqt-publisher 1.0.3

=== debian/changelog ===
ros-crystal-rqt-publisher (1.0.3-0bionic) bionic; urgency=high

  * Prepending node namespace to relative topics and adding validation for topic names (#7 <https://github.com/ros-visualization/rqt_publisher/issues/7>)
  * Contributors: brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 13 Dec 2018 07:00:00 -0000

ros-crystal-rqt-publisher (1.0.2-0bionic) bionic; urgency=high

  * fix cleaning up publisher on shutdown (#6 <https://github.com/ros-visualization/rqt_publisher/issues/6>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Dec 2018 07:00:00 -0000

ros-crystal-rqt-publisher (1.0.1-0bionic) bionic; urgency=high

  * destroy publishers on removal (#4 <https://github.com/ros-visualization/rqt_publisher/issues/4>)
  * Contributors: Mike Lautman

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Dec 2018 07:00:00 -0000

ros-crystal-rqt-publisher (1.0.0-0bionic) bionic; urgency=high

  * Port to ROS2 (#2 <https://github.com/ros-visualization/rqt_publisher/issues/2>)
  * autopep8 (#1 <https://github.com/ros-visualization/rqt_publisher/issues/1>)
  * Contributors: Mike Lautman, brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Dec 2018 07:00:00 -0000

ros-crystal-rqt-publisher (0.4.8-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 06:00:00 -0000

ros-crystal-rqt-publisher (0.4.7-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Mar 2017 07:00:00 -0000

ros-crystal-rqt-publisher (0.4.6-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 07:00:00 -0000

ros-crystal-rqt-publisher (0.4.5-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Feb 2017 07:00:00 -0000

ros-crystal-rqt-publisher (0.4.4-0bionic) bionic; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 07:00:00 -0000

ros-crystal-rqt-publisher (0.4.3-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Nov 2016 06:00:00 -0000

ros-crystal-rqt-publisher (0.4.2-0bionic) bionic; urgency=high

  * use checkbox for boolean types (#372 <https://github.com/ros-visualization/rqt_common_plugins/issues/372>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 06:00:00 -0000

ros-crystal-rqt-publisher (0.4.1-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 May 2016 06:00:00 -0000

ros-crystal-rqt-publisher (0.4.0-0bionic) bionic; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Apr 2016 06:00:00 -0000

ros-crystal-rqt-publisher (0.3.13-0bionic) bionic; urgency=high

  * fixed rqt_publisher plugin to fill message slots for individual fields of primitive arrays
  * use proper icon names for add/remove
  * Contributors: Robert Haschke, Vincent Rabaud

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Mar 2016 07:00:00 -0000

ros-crystal-rqt-publisher (0.3.12-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jul 2015 06:00:00 -0000

ros-crystal-rqt-publisher (0.3.11-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 Apr 2015 06:00:00 -0000

ros-crystal-rqt-publisher (0.3.10-0bionic) bionic; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 01 Oct 2014 06:00:00 -0000

ros-crystal-rqt-publisher (0.3.9-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 06:00:00 -0000

ros-crystal-rqt-publisher (0.3.8-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Jul 2014 06:00:00 -0000

ros-crystal-rqt-publisher (0.3.7-0bionic) bionic; urgency=high

  * fix compatibility with Groovy, use queue_size for Python publishers only when available (#243 <https://github.com/ros-visualization/rqt_common_plugins/issues/243>)
  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jul 2014 06:00:00 -0000

ros-crystal-rqt-publisher (0.3.6-0bionic) bionic; urgency=high

  * use queue_size for Python publishers

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 02 Jun 2014 06:00:00 -0000

ros-crystal-rqt-publisher (0.3.5-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 06:00:00 -0000

ros-crystal-rqt-publisher (0.3.4-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Jan 2014 07:00:00 -0000

ros-crystal-rqt-publisher (0.3.3-0bionic) bionic; urgency=high

  * add groups for rqt plugins, renamed some plugins (#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 07:00:00 -0000

ros-crystal-rqt-publisher (0.3.2-0bionic) bionic; urgency=high

  * fix regression of 0.3.1 (rospack not defined)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 14 Oct 2013 06:00:00 -0000

ros-crystal-rqt-publisher (0.3.1-0bionic) bionic; urgency=high

  * improve performance to fill combo box with message types (#177 <https://github.com/ros-visualization/rqt_common_plugins/issues/177>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Oct 2013 06:00:00 -0000

ros-crystal-rqt-publisher (0.3.0-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 28 Aug 2013 06:00:00 -0000

ros-crystal-rqt-publisher (0.2.17-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 04 Jul 2013 06:00:00 -0000


